diff --git a/src/main/java/net/minecraft/client/render/entity/DefaultRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/entity/DefaultRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
index 0c1c7ef60..3e8a87123 100644
--- a/src/main/java/net/minecraft/client/render/entity/DefaultRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
@@ -7,7 +7,7 @@ import org.lwjgl.opengl.GL11;
 // Referenced classes of package net.minecraft.src:
 //            Render, Entity
 
-public class DefaultRenderer extends EntityRenderer<Entity>
+public class EntityRendererDefault extends EntityRenderer<Entity>
 {
     @Override
     public void render(Tessellator tessellator, Entity entity, double x, double y, double z,
diff --git a/src/main/java/net/minecraft/client/render/entity/FallingBlockRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
similarity index 81%
rename from src/main/java/net/minecraft/client/render/entity/FallingBlockRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
index d0c5fc0f5..65f561ae9 100644
--- a/src/main/java/net/minecraft/client/render/entity/FallingBlockRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
@@ -6,36 +6,35 @@ import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.blockentity.BlockEntityRenderer;
+import net.minecraft.client.render.blockentity.TileEntityRenderer;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.entity.FallingBlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.entity.EntityFallingBlock;
 import net.minecraft.core.world.BlocksContainer;
-import net.minecraft.core.world.World;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, RenderBlocks, Block, FallingBlockEntity,
+//            Render, RenderBlocks, Block, EntityFallingBlock,
 //            MathHelper, Entity
 
-public class FallingBlockRenderer extends EntityRenderer<FallingBlockEntity>
+public class EntityRendererFallingBlock extends EntityRenderer<EntityFallingBlock>
 {
     private final Minecraft mc;
     private BlocksContainer container = null;
     private RenderBlocks containerRenderBlock = null;
 
 
-    public FallingBlockRenderer()
+    public EntityRendererFallingBlock()
     {
         mc = Minecraft.getMinecraft(this);
         shadowSize = 0.5F;
     }
 
     @Override
-    public void render(Tessellator tessellator, FallingBlockEntity fallingBlock, double x, double y, double z, float yaw, float partialTick) {
+    public void render(Tessellator tessellator, EntityFallingBlock fallingBlock, double x, double y, double z, float yaw, float partialTick) {
         if (container == null || container.world != fallingBlock.world) {
             container = new BlocksContainer(fallingBlock.world);
             containerRenderBlock = new RenderBlocks(container);
@@ -75,7 +74,7 @@ public class FallingBlockRenderer extends EntityRenderer<FallingBlockEntity>
         Lighting.enableLight();
         GL11.glPopMatrix();
 
-        BlockEntityRenderer<BlockEntity> renderer = BlockEntityRenderDispatcher.instance.getRenderer(fallingBlock.carriedBlock.entity);
+        TileEntityRenderer<TileEntity> renderer = BlockEntityRenderDispatcher.instance.getRenderer(fallingBlock.carriedBlock.entity);
         if (renderer != null) {
             GL11.glPushMatrix();
             renderer.doRender(tessellator, fallingBlock.carriedBlock.entity, x - 0.5, y - 0.5, z - 0.5, partialTick);
diff --git a/src/main/java/net/minecraft/client/render/entity/FireballRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererFireball.java
similarity index 82%
rename from src/main/java/net/minecraft/client/render/entity/FireballRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererFireball.java
index 4161af8a7..1a5017b8e 100644
--- a/src/main/java/net/minecraft/client/render/entity/FireballRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererFireball.java
@@ -3,20 +3,23 @@ package net.minecraft.client.render.entity;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.projectile.FireballProjectile;
+import net.minecraft.core.entity.projectile.ProjectileFireball;
 
 import net.minecraft.core.item.Items;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
 
+/**
+ * @deprecated replaced by use of the more generic {@link EntityRendererSprite}
+ */
+@Deprecated
+public class EntityRendererFireball extends EntityRenderer<ProjectileFireball> {
 
-public class FireballRenderer extends EntityRenderer<FireballProjectile> {
-
-    public FireballRenderer()
+    public EntityRendererFireball()
     {
     }
 
-    public void renderFireball(FireballProjectile entity, double d, double d1, double d2,
+    public void renderFireball(ProjectileFireball entity, double d, double d1, double d2,
                                float f, float f1)
     {
 
@@ -52,7 +55,7 @@ public class FireballRenderer extends EntityRenderer<FireballProjectile> {
     }
 
     @Override
-    public void render(Tessellator tessellator, FireballProjectile entity, double x, double y, double z,
+    public void render(Tessellator tessellator, ProjectileFireball entity, double x, double y, double z,
                        float yaw, float partialTick)
     {
         renderFireball(entity, x, y, z, yaw, partialTick);
diff --git a/src/main/java/net/minecraft/client/render/entity/FishingBobberRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererFishingBobber.java
similarity index 90%
rename from src/main/java/net/minecraft/client/render/entity/FishingBobberRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererFishingBobber.java
index 08b23d203..7b4692e63 100644
--- a/src/main/java/net/minecraft/client/render/entity/FishingBobberRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererFishingBobber.java
@@ -2,19 +2,19 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.FishingBobberEntity;
+import net.minecraft.core.entity.EntityFishingBobber;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3;
 import org.lwjgl.opengl.GL11;
-public class FishingBobberRenderer extends SpriteRenderer<FishingBobberEntity>
+public class EntityRendererFishingBobber extends EntityRendererSprite<EntityFishingBobber>
 {
 
-    public FishingBobberRenderer() {
+    public EntityRendererFishingBobber() {
         super(TextureRegistry.getTexture("minecraft:particle/bobber"));
     }
 
     @Override
-    public void render(Tessellator tessellator, FishingBobberEntity entity, double x, double y, double z, float yaw, float partialTick) {
+    public void render(Tessellator tessellator, EntityFishingBobber entity, double x, double y, double z, float yaw, float partialTick) {
         super.render(tessellator, entity, x, y, z, yaw, partialTick);
         if(entity.owner != null)
         {
diff --git a/src/main/java/net/minecraft/client/render/entity/ItemEntityRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererItem.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/entity/ItemEntityRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererItem.java
index 9dc7e64e9..91c1f506b 100644
--- a/src/main/java/net/minecraft/client/render/entity/ItemEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererItem.java
@@ -3,8 +3,8 @@ package net.minecraft.client.render.entity;
 import java.util.Random;
 
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
-import net.minecraft.core.entity.ItemEntity;
-import net.minecraft.core.item.block.BlockItem;
+import net.minecraft.core.entity.EntityItem;
+import net.minecraft.core.item.block.ItemBlock;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.core.block.Block;
@@ -21,17 +21,17 @@ import org.lwjgl.opengl.GL12;
 import static org.lwjgl.opengl.GL11.glPushMatrix;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, RenderBlocks, ItemEntity, MathHelper,
+//            Render, RenderBlocks, EntityItem, MathHelper,
 //            ItemStack, Block, Tessellator, Item,
 //            RenderManager, RenderEngine, FontRenderer, Entity
 
-public class ItemEntityRenderer extends EntityRenderer<ItemEntity>
+public class EntityRendererItem extends EntityRenderer<EntityItem>
 {
 	public final RenderBlocks renderBlocks;
 	private final Random random;
 	public boolean useColor;
 
-	public ItemEntityRenderer() {
+	public EntityRendererItem() {
 		renderBlocks = new RenderBlocks();
 		random = new Random();
 		useColor = true;
@@ -40,14 +40,14 @@ public class ItemEntityRenderer extends EntityRenderer<ItemEntity>
 	}
 
 	public int getItemColorFromMetadata(Item item, int metadata) {
-		if (item instanceof BlockItem) {
-			Block block = ((BlockItem)item).getBlock();
+		if (item instanceof ItemBlock) {
+			Block block = ((ItemBlock)item).getBlock();
 			return BlockColorDispatcher.getInstance().getDispatch(block).getFallbackColor(metadata);
 		}
 		return 0xFFFFFF;
 	}
 
-	public void render(Tessellator tessellator, final ItemEntity entity, final double x, final double y, final double z, final float yaw, final float partialTick) {
+	public void render(Tessellator tessellator, final EntityItem entity, final double x, final double y, final double z, final float yaw, final float partialTick) {
 		float brightness = 1.0f;
 		if(!LightmapHelper.isLightmapEnabled()) {
 			brightness = entity.getBrightness(partialTick);
diff --git a/src/main/java/net/minecraft/client/render/entity/LightningBoltRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererLightningBolt.java
similarity index 92%
rename from src/main/java/net/minecraft/client/render/entity/LightningBoltRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererLightningBolt.java
index c5e7a88dc..f23410764 100644
--- a/src/main/java/net/minecraft/client/render/entity/LightningBoltRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererLightningBolt.java
@@ -3,21 +3,21 @@ package net.minecraft.client.render.entity;
 import java.util.Random;
 
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.LightningEntity;
+import net.minecraft.core.entity.EntityLightning;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, Tessellator, LightningEntity, Entity
+//            Render, Tessellator, EntityLightning, Entity
 
-public class LightningBoltRenderer extends EntityRenderer<LightningEntity>
+public class EntityRendererLightningBolt extends EntityRenderer<EntityLightning>
 {
 
-    public LightningBoltRenderer()
+    public EntityRendererLightningBolt()
     {
     }
 
     @Override
-    public void render(Tessellator tessellator, LightningEntity lightning, double x, double y, double z,
+    public void render(Tessellator tessellator, EntityLightning lightning, double x, double y, double z,
                        float yaw, float partialTick)
     {
         GL11.glDisable(GL11.GL_TEXTURE_2D);
diff --git a/src/main/java/net/minecraft/client/render/entity/MinecartRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererMinecart.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/entity/MinecartRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererMinecart.java
index 9f035a6ca..ad83e5d58 100644
--- a/src/main/java/net/minecraft/client/render/entity/MinecartRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererMinecart.java
@@ -2,8 +2,8 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.model.BaseModel;
-import net.minecraft.client.render.model.MinecartModel;
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.client.render.model.ModelMinecart;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
@@ -14,10 +14,10 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3;
 import org.lwjgl.opengl.GL11;
 
-public class MinecartRenderer extends EntityRenderer<MinecartEntity> {
-    public MinecartRenderer() {
+public class EntityRendererMinecart extends EntityRenderer<MinecartEntity> {
+    public EntityRendererMinecart() {
         shadowSize = 0.5F;
-        modelMinecart = new MinecartModel();
+        modelMinecart = new ModelMinecart();
     }
 
     @Override
@@ -140,5 +140,5 @@ public class MinecartRenderer extends EntityRenderer<MinecartEntity> {
         GL11.glEnable(GL11.GL_TEXTURE_2D);
         GL11.glEnable(GL11.GL_LIGHTING);
     }
-    protected BaseModel modelMinecart;
+    protected ModelBase modelMinecart;
 }
diff --git a/src/main/java/net/minecraft/client/render/entity/PaintingRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererPainting.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/entity/PaintingRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererPainting.java
index c71b15909..cc2f8da3b 100644
--- a/src/main/java/net/minecraft/client/render/entity/PaintingRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererPainting.java
@@ -5,7 +5,7 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
-import net.minecraft.core.entity.PaintingEntity;
+import net.minecraft.core.entity.EntityPainting;
 import net.minecraft.core.enums.ArtType;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.collection.NamespaceID;
@@ -15,15 +15,15 @@ import org.lwjgl.opengl.GL12;
 
 import java.util.Random;
 
-public class PaintingRenderer extends EntityRenderer<PaintingEntity>
+public class EntityRendererPainting extends EntityRenderer<EntityPainting>
 {
     private static final IconCoordinate paintingBack = TextureRegistry.getTexture("minecraft:art/backing");
-    public PaintingRenderer()
+    public EntityRendererPainting()
     {
         rand = new Random();
     }
 
-    private void renderArt(Tessellator tessellator, PaintingEntity entity, int sizeX, int sizeY, IconCoordinate iconCoordinate) {
+    private void renderArt(Tessellator tessellator, EntityPainting entity, int sizeX, int sizeY, IconCoordinate iconCoordinate) {
         iconCoordinate.parentAtlas.bind();
         float negCenterX = (float)(-sizeX) / 2.0F;
         float negCenterY = (float)(-sizeY) / 2.0F;
@@ -104,7 +104,7 @@ public class PaintingRenderer extends EntityRenderer<PaintingEntity>
 
     }
 
-    private void setupPaintingBrightness(PaintingEntity entity, float centerX, float centerY)
+    private void setupPaintingBrightness(EntityPainting entity, float centerX, float centerY)
     {
         int worldX = MathHelper.floor(entity.x);
         int worldY = MathHelper.floor(entity.y + (double)(centerY / 16F));
@@ -134,7 +134,7 @@ public class PaintingRenderer extends EntityRenderer<PaintingEntity>
     }
 
     @Override
-    public void render(Tessellator tessellator, PaintingEntity entity, double x, double y, double z, float yaw, float partialTick) {
+    public void render(Tessellator tessellator, EntityPainting entity, double x, double y, double z, float yaw, float partialTick) {
         rand.setSeed(187L);
         GL11.glPushMatrix();
         GL11.glTranslatef((float)x, (float)y, (float)z);
@@ -149,7 +149,7 @@ public class PaintingRenderer extends EntityRenderer<PaintingEntity>
             GL11.glEnable(GL11.GL_BLEND);
             GL11.glBlendFunc(770, 771);
             GL11.glColor4f(1f, 1f, 1f, 1f);
-            NamespaceID id = PaintingEntity.getBorder(borderStack);
+            NamespaceID id = EntityPainting.getBorder(borderStack);
             bindTexture(String.format("/assets/%s/textures/art/borders/%s.png", id.namespace, id.value));
             renderBorder(entity, entity.art.sizeX, entity.art.sizeY);
             GL11.glDisable(GL11.GL_BLEND);
@@ -157,7 +157,7 @@ public class PaintingRenderer extends EntityRenderer<PaintingEntity>
         GL11.glDisable(GL12.GL_RESCALE_NORMAL);
         GL11.glPopMatrix();
     }
-    private void renderBorder(PaintingEntity entity, int sizeX, int sizeY) {
+    private void renderBorder(EntityPainting entity, int sizeX, int sizeY) {
         float negCenterX = (float)(-sizeX) / 2.0f;
         float negCenterY = (float)(-sizeY) / 2.0f;
         float minZ = -0.6f;
diff --git a/src/main/java/net/minecraft/client/render/entity/SpriteRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererSprite.java
similarity index 90%
rename from src/main/java/net/minecraft/client/render/entity/SpriteRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererSprite.java
index d97d28e2a..69bf63279 100644
--- a/src/main/java/net/minecraft/client/render/entity/SpriteRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererSprite.java
@@ -12,25 +12,25 @@ import org.lwjgl.opengl.GL12;
 // Referenced classes of package net.minecraft.src:
 //            Render, Tessellator, RenderManager, Entity
 
-public class SpriteRenderer<T extends Entity> extends EntityRenderer<T>
+public class EntityRendererSprite<T extends Entity> extends EntityRenderer<T>
 {
     private IconCoordinate itemIconIndex;
     private float scale = 1;
     private boolean fullBright = false;
 
-    public SpriteRenderer(Item item){
+    public EntityRendererSprite(Item item){
         this(ItemModelDispatcher.getInstance().getDispatch(item).getIcon(null, item.getDefaultStack()));
     }
-    public SpriteRenderer(IconCoordinate i)
+    public EntityRendererSprite(IconCoordinate i)
     {
         itemIconIndex = i;
     }
 
-    public SpriteRenderer setFullBright(){
+    public EntityRendererSprite setFullBright(){
         fullBright = true;
         return this;
     }
-    public SpriteRenderer setScale(float scale){
+    public EntityRendererSprite setScale(float scale){
         this.scale = scale;
         return this;
     }
diff --git a/src/main/java/net/minecraft/client/render/entity/TNTRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererTNT.java
similarity index 90%
rename from src/main/java/net/minecraft/client/render/entity/TNTRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererTNT.java
index 8db933283..103ce9c37 100644
--- a/src/main/java/net/minecraft/client/render/entity/TNTRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererTNT.java
@@ -5,7 +5,7 @@ import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.TNTPrimedEntity;
+import net.minecraft.core.entity.EntityPrimedTNT;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
@@ -15,16 +15,16 @@ import org.lwjgl.opengl.GL11;
 //            Render, RenderBlocks, EntityTNTPrimed, Block, 
 //            Entity
 
-public class TNTRenderer extends EntityRenderer<TNTPrimedEntity>
+public class EntityRendererTNT extends EntityRenderer<EntityPrimedTNT>
 {
 
-    public TNTRenderer()
+    public EntityRendererTNT()
     {
         blockRenderer = new RenderBlocks();
         shadowSize = 0.5F;
     }
 
-    public void renderTNT(TNTPrimedEntity tnt, double d, double d1, double d2,
+    public void renderTNT(EntityPrimedTNT tnt, double d, double d1, double d2,
                           float f, float f1)
     {
         Tessellator tessellator = Tessellator.instance;
@@ -69,7 +69,7 @@ public class TNTRenderer extends EntityRenderer<TNTPrimedEntity>
     }
 
     @Override
-    public void render(Tessellator tessellator, TNTPrimedEntity entity, double x, double y, double z,
+    public void render(Tessellator tessellator, EntityPrimedTNT entity, double x, double y, double z,
                        float yaw, float partialTick)
     {
         renderTNT(entity, x, y, z, yaw, partialTick);
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
index acfbdbb35..443723a94 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
@@ -4,7 +4,7 @@ import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.LightmapHelper;
-import net.minecraft.client.render.model.BaseModel;
+import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.entity.Mob;
@@ -17,13 +17,13 @@ public class MobRenderer<T extends Mob> extends EntityRenderer<T>
 {
     private static final Logger LOGGER = LogUtils.getLogger();
     public static final int MAX_ARMOR_LAYERS = 4;
-    protected BaseModel mainModel;
-    protected BaseModel armorModel;
-    protected BaseModel overlayModel;
+    protected ModelBase mainModel;
+    protected ModelBase armorModel;
+    protected ModelBase overlayModel;
     protected String overlayTexture;
     private final Minecraft mc;
 
-    public MobRenderer(BaseModel model, float shadowSize)
+    public MobRenderer(ModelBase model, float shadowSize)
     {
         this.mainModel = model;
         this.shadowSize = shadowSize;
@@ -31,11 +31,11 @@ public class MobRenderer<T extends Mob> extends EntityRenderer<T>
     }
 
 
-    public void setArmorModel(BaseModel armor)
+    public void setArmorModel(ModelBase armor)
     {
         armorModel = armor;
     }
-    public void setOverlayModel(BaseModel modelbase, String texture)
+    public void setOverlayModel(ModelBase modelbase, String texture)
     {
         overlayModel = modelbase;
         overlayTexture = texture;
diff --git a/src/main/java/net/minecraft/client/render/entity/BipedRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
similarity index 76%
rename from src/main/java/net/minecraft/client/render/entity/BipedRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
index 6adaeb592..076f45583 100644
--- a/src/main/java/net/minecraft/client/render/entity/BipedRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
@@ -1,21 +1,21 @@
 package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.model.BipedModel;
+import net.minecraft.client.render.model.ModelBiped;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.item.ItemStack;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            RenderLiving, Mob, BipedModel, ModelRenderer,
+//            RenderLiving, Mob, ModelBiped, ModelRenderer,
 //            ItemStack, Block, RenderBlocks, Item, 
 //            RenderManager, ItemRenderer
 
-public class BipedRenderer<T extends Mob> extends MobRenderer<T>
+public class MobRendererBiped<T extends Mob> extends MobRenderer<T>
 {
 
-    public BipedRenderer(BipedModel model, float shadowSize)
+    public MobRendererBiped(ModelBiped model, float shadowSize)
     {
         super(model, shadowSize);
         modelBipedMain = model;
@@ -32,5 +32,5 @@ public class BipedRenderer<T extends Mob> extends MobRenderer<T>
 		}
 	}
 
-    protected BipedModel modelBipedMain;
+    protected ModelBiped modelBipedMain;
 }
diff --git a/src/main/java/net/minecraft/client/render/entity/ChickenRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererChicken.java
similarity index 57%
rename from src/main/java/net/minecraft/client/render/entity/ChickenRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererChicken.java
index f55022f8a..4134c307c 100644
--- a/src/main/java/net/minecraft/client/render/entity/ChickenRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererChicken.java
@@ -2,20 +2,20 @@ package net.minecraft.client.render.entity;
 
 
 // Referenced classes of package net.minecraft.src:
-//            RenderLiving, ChickenMob, MathHelper, BaseModel,
+//            RenderLiving, MobChicken, MathHelper, ModelBase,
 //            Mob, Entity
 
-import net.minecraft.client.render.model.BaseModel;
-import net.minecraft.core.entity.animal.ChickenMob;
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.core.entity.animal.MobChicken;
 import net.minecraft.core.util.helper.MathHelper;
 
-public class ChickenRenderer extends MobRenderer<ChickenMob> {
-    public ChickenRenderer(BaseModel modelbase, float f)
+public class MobRendererChicken extends MobRenderer<MobChicken> {
+    public MobRendererChicken(ModelBase modelbase, float f)
     {
         super(modelbase, f);
     }
     @Override
-    protected float limbSway(ChickenMob entity, float partialTick) {
+    protected float limbSway(MobChicken entity, float partialTick) {
         float flap = entity.oFlap + (entity.flap - entity.oFlap) * partialTick;
         float flapSpeed = entity.oFlapSpeed + (entity.flapSpeed - entity.oFlapSpeed) * partialTick;
         return (MathHelper.sin(flap) + 1.0F) * flapSpeed;
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererCow.java b/src/main/java/net/minecraft/client/render/entity/MobRendererCow.java
new file mode 100644
index 000000000..fd2e3baf8
--- /dev/null
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererCow.java
@@ -0,0 +1,13 @@
+package net.minecraft.client.render.entity;
+
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.core.entity.animal.MobCow;
+
+public class MobRendererCow extends MobRenderer<MobCow>
+{
+    public MobRendererCow(ModelBase modelbase, float f)
+    {
+        super(modelbase, f);
+    }
+
+}
diff --git a/src/main/java/net/minecraft/client/render/entity/CreeperRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRendererCreeper.java
similarity index 77%
rename from src/main/java/net/minecraft/client/render/entity/CreeperRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/MobRendererCreeper.java
index c13444668..8112ba028 100644
--- a/src/main/java/net/minecraft/client/render/entity/CreeperRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererCreeper.java
@@ -1,25 +1,25 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.model.BaseModel;
-import net.minecraft.client.render.model.CreeperModel;
-import net.minecraft.core.entity.monster.CreeperMob;
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.client.render.model.ModelCreeper;
+import net.minecraft.core.entity.monster.MobCreeper;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            RenderLiving, CreeperModel, CreeperMob, MathHelper,
-//            BaseModel, Mob
+//            RenderLiving, ModelCreeper, MobCreeper, MathHelper,
+//            ModelBase, Mob
 
-public class CreeperRenderer extends MobRenderer<CreeperMob>
+public class MobRendererCreeper extends MobRenderer<MobCreeper>
 {
-    public CreeperRenderer()
+    public MobRendererCreeper()
     {
-        super(new CreeperModel(), 0.5F);
-        chargedModel = new CreeperModel(2.0F);
+        super(new ModelCreeper(), 0.5F);
+        chargedModel = new ModelCreeper(2.0F);
     }
 
     @Override
-    protected void setupScale(CreeperMob creeper, float partialTick) {
+    protected void setupScale(MobCreeper creeper, float partialTick) {
         float g = creeper.getSwelling(partialTick);
         final float wobble = 1.0f + MathHelper.sin(g * 100.0f) * g * 0.01f;
         if (g < 0.0f) {
@@ -36,7 +36,7 @@ public class CreeperRenderer extends MobRenderer<CreeperMob>
     }
 
     @Override
-    protected int getOverlayColor(CreeperMob creeper, float brightness, float partialTick) {
+    protected int getOverlayColor(MobCreeper creeper, float brightness, float partialTick) {
         final float step = creeper.getSwelling(partialTick);
         if ((int)(step * 10.0f) % 2 == 0) {
             return 0;
@@ -55,7 +55,7 @@ public class CreeperRenderer extends MobRenderer<CreeperMob>
     }
 
     @Override
-    protected boolean prepareArmor(CreeperMob entity, int layer, float partialTick) {
+    protected boolean prepareArmor(MobCreeper entity, int layer, float partialTick) {
         if(entity.getPowered())
         {
             if(layer == 1)
@@ -89,5 +89,5 @@ public class CreeperRenderer extends MobRenderer<CreeperMob>
     }
 
 
-    private BaseModel chargedModel;
+    private ModelBase chargedModel;
 }
